#!/bin/sh

test -d lists || mkdir -p lists
for year in 2006; do
    start=1;
    test $year -eq 2003 && start=11;
    for month in `seq $start 12`; do
	month=`printf %02d $month`;
	for day in `seq 1 31`; do
	    day=`printf %02d $day`;
	    echo "$year/$month/$day"
	    rsync -z rsync.altlinux.org::archive/Sisyphus/$year/$month/$day/files/SRPMS/ > lists/$year-$month-$day-files-SRPMS 2> /dev/null || rm -f lists/$year-$month-$day-files-SRPMS
	done
    done
done
